summaryrefslogtreecommitdiffstats
path: root/abs/core/update81-82.sh
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2014-10-01 16:06:37 (GMT)
committerBritney Fransen <brfransen@gmail.com>2014-10-01 16:06:37 (GMT)
commitcf5321dbb75fb489f82fd9e66ce7a02d60516645 (patch)
tree38eedab98a64bcce7d9a420d03b9c9235d697246 /abs/core/update81-82.sh
parentf2c351dcd00ccb5c8e1e896a96d5f224f8385164 (diff)
downloadlinhes_pkgbuild-cf5321dbb75fb489f82fd9e66ce7a02d60516645.zip
linhes_pkgbuild-cf5321dbb75fb489f82fd9e66ce7a02d60516645.tar.gz
linhes_pkgbuild-cf5321dbb75fb489f82fd9e66ce7a02d60516645.tar.bz2
update81-82.sh: initial commit
Diffstat (limited to 'abs/core/update81-82.sh')
-rw-r--r--abs/core/update81-82.sh107
1 files changed, 107 insertions, 0 deletions
diff --git a/abs/core/update81-82.sh b/abs/core/update81-82.sh
new file mode 100644
index 0000000..f1c6d96
--- /dev/null
+++ b/abs/core/update81-82.sh
@@ -0,0 +1,107 @@
+#!/bin/bash
+#This script should be used to update from R8.1 to R8.2 ONLY
+#
+
+#touch /bin/this_should_stop_it
+
+echo ""
+echo "About to update the OS to LinHES 8.2"
+echo "This process will only work if currently running LinHES 8.1 or later"
+echo "* Please respond with Y to all the yes/no questions"
+echo "* Answer Y to remove sysvinit"
+echo "* If prompted about libgl, select the gl that is appropiate for your system"
+echo ""
+echo "Press Y to continue, any other key to stop"
+
+
+read a
+if [ x$a != "xY" ]
+then
+ echo " Y NOT selected, exiting"
+ exit 3
+fi
+
+
+
+
+
+echo "Downloading filesystem and glibc for later use, please wait"
+wget -q http://linhes.org/repo/x86_64/filesystem-itermediate.pkg.tar.xz -O filesystem-itermediate.pkg.tar.xz
+rc=$?
+if [ $rc != 0 ]
+then
+ echo "Couldn't download filesystem pkg"
+ exit 1
+else
+ echo "Filesystem pkg downloaded"
+fi
+
+wget -q http://linhes.org/repo/x86_64/core-testing/glibc-2.18-11-x86_64.pkg.tar.xz -O glibc-2.18-11-x86_64.pkg.tar.xz
+rc=$?
+if [ $rc != 0 ]
+then
+ echo "Couldn't download glibc pkg"
+ exit 1
+else
+ echo "glibc pkg downloaded"
+fi
+
+
+
+
+pacman -Sy --noconfirm tdb
+echo "Removing select symlinks and files not in poweroff-scripts package "
+
+rm -f /usr/lib/libtalloc.so.1
+rm -f /usr/lib/libtalloc.so.2
+
+rm -f /usr/sbin/re*
+rm -f /usr/sbin/pow*
+rm -f /usr/sbin/hal*
+rm -f /sbin/re*
+rm -f /sbin/pow*
+rm -f /sbin/hal*
+
+
+pacman -Syu --ignore filesystem,bash,glibc
+pacman -R tcp_wrappers --noconfirm
+pacman -S bash --noconfirm
+
+
+
+
+
+pacman -U ./glibc-2.18-11-x86_64.pkg.tar.xz ./filesystem-itermediate.pkg.tar.xz --noconfirm
+rc=$?
+if [ $rc != 0 ]
+then
+ echo "Filesystem update was unable to install"
+ echo "Please check /bin /usr/sbin /sbin "
+ echo "for packages that need to be updated"
+ exit 2
+fi
+pacman -Su
+
+
+if [ -e /etc/udev/rules.d/80-net-name-slot.rules ]
+then
+ rm -f /etc/udev/rules.d/80-net-name-slot.rules
+fi
+
+ln -s /dev/null /etc/udev/rules.d/80-net-name-slot.rules
+
+pacman -S linux --noconfirm
+pacman -S filesystem --noconfirm
+rc=$?
+if [ $rc != 0 ]
+then
+ echo "Filesystem update was unable to install"
+ echo "Please check /bin /usr/sbin /sbin "
+ echo "for packages that need to be updated"
+ exit 2
+else
+ echo "New filesystem in place"
+ echo "upgrade was a success"
+ echo "please reboot"
+fi
+